Bug 464402 - Review-Request: numptyphysics - A crayon-drawing based physics puzzle game
Review-Request: numptyphysics - A crayon-drawing based physics puzzle game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 03:20 EDT by Lubomir Rintel
Modified: 2008-09-30 04:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 04:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-09-28 03:20:44 EDT
SPEC: http://netbsd.sk/~lkundrak/SPECS/numptyphysics.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/numptyphysics-0.3-0.1.20080925svn.el5.src.rpm

Description:

Harness gravity with your crayon and set about creating blocks, ramps,
levers, pulleys and whatever else you fancy to get the little red thing to
the little yellow thing.
Comment 1 Marek Mahut 2008-09-28 05:20:02 EDT
+ package meets naming and versioning guidelines
+ specfile is properly named, is cleanly written and uses macros consistently
+ dist tag is present.
+ license field matches the actual license
+ license is open source-compatible
+ license text not included upstream
+ %clean is present.
+ package builds in mock (f8, rawhide)
+ package installs properly (f8)
+ rpmlint output is sane
+ desktop file install properly

- use %doc to include documentation
- SDL-devel dependency is fetched by SDL_image-devel, it's safe to remove
- desktop file is not (fully) valid:
   ./numptyphysics.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
Comment 2 Lubomir Rintel 2008-09-29 03:35:37 EDT
Thanks for review. New package:

SPEC: http://netbsd.sk/~lkundrak/SPECS/numptyphysics.spec
SRPM:
http://netbsd.sk/~lkundrak/SRPMS/numptyphysics-0.3-0.2.20080925svn.el5.src.rpm

(In reply to comment #1)
> - use %doc to include documentation

There's no documentation in the source tree.

> - SDL-devel dependency is fetched by SDL_image-devel, it's safe to remove

Done.

> - desktop file is not (fully) valid:
>    ./numptyphysics.desktop: warning: key "Encoding" in group "Desktop Entry" is
> deprecated

Fixed.
Comment 3 Marek Mahut 2008-09-29 04:05:59 EDT
Right, that's windows documentation :)

APPROVED.
Comment 4 Lubomir Rintel 2008-09-29 04:46:54 EDT
New Package CVS Request
=======================
Package Name: numptyphysics
Short Description: A crayon-drawing based physics puzzle game
Owners: lkundrak
Branches: F-9 EL-5
Comment 5 Huzaifa S. Sidhpurwala 2008-09-30 00:30:42 EDT
cvs done
Comment 6 Lubomir Rintel 2008-09-30 04:11:05 EDT
Thanks Huzaifa; imported and built.

Note You need to log in before you can comment on or make changes to this bug.